Package org.apache.nutch.crawl

## Class Generator.Selector

- java.lang.Object
- - org.apache.hadoop.mapreduce.Partitioner<FloatWritable,​Writable>
  - - org.apache.nutch.crawl.Generator.Selector

- All Implemented Interfaces:
    `Configurable`
  Enclosing class:
    Generator

      public static class Generator.Selector
      extends Partitioner<FloatWritable,​Writable>
      implements Configurable

  Selects entries due for fetch.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Selector()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Configuration` | `getConf()` |
    `int` | `getPartition​(FloatWritable key, Writable value, int numReduceTasks)` | Partition by host / domain or IP.
    `void` | `setConf​(Configuration conf)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Selector

          public Selector()

  - ### Method Detail

    - #### getPartition

          public int getPartition​(FloatWritable key,
                                  Writable value,
                                  int numReduceTasks)

      Partition by host / domain or IP.
      Specified by:
        `getPartition` in class `Partitioner<FloatWritable,​Writable>`

    - #### getConf

          public Configuration getConf()

      Specified by:
        `getConf` in interface `Configurable`

    - #### setConf

          public void setConf​(Configuration conf)

      Specified by:
        `setConf` in interface `Configurable`